Bug 21785 - Add column configuration to hold ratios report
Summary: Add column configuration to hold ratios report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/circ/reserveratios.pl
Keywords:
Depends on: 21442
Blocks: 19282
  Show dependency treegraph
 
Reported: 2018-11-07 19:44 UTC by Owen Leonard
Modified: 2019-03-07 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21785: Add columns configuration to hold ratios report (5.23 KB, patch)
2018-11-07 20:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21785: Add columns configuration to hold ratios report (5.29 KB, patch)
2018-12-17 15:16 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21785: Add columns configuration to hold ratios report (5.36 KB, patch)
2019-01-01 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-07 19:44:18 UTC
I propose to add column configuration to the hold ratios report.
Comment 1 Owen Leonard 2018-11-07 20:07:45 UTC
Created attachment 82046 [details] [review]
Bug 21785: Add columns configuration to hold ratios report

This patch adds column configuration to the hold ratios report
DataTable.

This patch also amends some JavaScript and markup related to some
obsolete jQuery syntax: A hover function was being used to change an
element's style on hover. It has been removed in favor of using a link
and CSS>

To test, apply the patch and view the hold ratios report using a ratio
which will return multiple results. Confirm that DataTables controls
work correctly: Paging, search, column visibility, export and print.

Click a number in the "hold ratio" column of the table and verify that
it populates the "hold ratio" field in the "refine results" form in the
sidebar.

Test setting default column configurations in Administration -> Columns
settings.
Comment 2 Pierre-Marc Thibault 2018-11-09 21:08:52 UTC
The patch doesn't apply.
Comment 3 Owen Leonard 2018-11-12 17:06:19 UTC
(In reply to Pierre-Marc Thibault from comment #2)
> The patch doesn't apply.

Did you apply the patch for Bug 21442 first? The patches apply okay for me.
Comment 4 Pierre-Marc Thibault 2018-11-12 18:02:43 UTC
(In reply to Owen Leonard from comment #3)
> (In reply to Pierre-Marc Thibault from comment #2)
> > The patch doesn't apply.
> 
> Did you apply the patch for Bug 21442 first? The patches apply okay for me.

Ah ok. I never dealt with a bug depending on another so I didn't for the 21442 entry. Sorry, you are probably right.
Comment 5 Claire Gravely 2018-12-17 15:16:53 UTC
Created attachment 83298 [details] [review]
Bug 21785: Add columns configuration to hold ratios report

This patch adds column configuration to the hold ratios report
DataTable.

This patch also amends some JavaScript and markup related to some
obsolete jQuery syntax: A hover function was being used to change an
element's style on hover. It has been removed in favor of using a link
and CSS>

To test, apply the patch and view the hold ratios report using a ratio
which will return multiple results. Confirm that DataTables controls
work correctly: Paging, search, column visibility, export and print.

Click a number in the "hold ratio" column of the table and verify that
it populates the "hold ratio" field in the "refine results" form in the
sidebar.

Test setting default column configurations in Administration -> Columns
settings.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 6 Katrin Fischer 2019-01-01 22:43:25 UTC
Created attachment 83570 [details] [review]
Bug 21785: Add columns configuration to hold ratios report

This patch adds column configuration to the hold ratios report
DataTable.

This patch also amends some JavaScript and markup related to some
obsolete jQuery syntax: A hover function was being used to change an
element's style on hover. It has been removed in favor of using a link
and CSS>

To test, apply the patch and view the hold ratios report using a ratio
which will return multiple results. Confirm that DataTables controls
work correctly: Paging, search, column visibility, export and print.

Click a number in the "hold ratio" column of the table and verify that
it populates the "hold ratio" field in the "refine results" form in the
sidebar.

Test setting default column configurations in Administration -> Columns
settings.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Nick Clemens 2019-01-11 13:33:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-01-14 14:13:30 UTC
Enhancement, will not be backported to 18.11.x series